Subject: Re: [bitcoin-dev] BIP 2 revival and rework

From: Marco Falke <[email-masked]>
Date: Sat, 15 Oct 2016 14:12:09 +0200

On Sat, Oct 15, 2016 at 1:00 PM, Tom Zander via bitcoin-dev
<[email-masked]> wrote:
> My suggestion (sorry for not explaining it better) was that for BIPS to be a
> public domain (aka CC0) and a CC-BY option and nothing else.

Indeed, we agree that BIPs should be licensed as permissive as
possible. Still, I wonder why you chose otherwise with BIP 134.
(Currently OPL and CC-BY-SA)

> I like you agree with that part, but I see you added two licenses.
> Do you have a good reason to add MIT/BSD to that list? Otherwise I think we
> agree.

Licenses that only require attribution are generally compatible with
each other. I don't think we should pick one and only promote/endorse
this one. Let's just leave the decision to the BIP author.

> Well, it has this sentence;
>
>> This BIP is dual-licensed under the Open Publication License and
>> BSD 2-clause license.
>
> Which is a bit odd in light of the initial email from Luke that suggested we
> drop the Open Publication License and we use the CC ones instead in addition
> to the public domain one.

I am pretty sure this is required to host the current text of BIP 2 in
the repo, as currently BIP 1 still applies and still requires for all
BIPs either OPL or PD, which is one of the reasons I think we should
move forward with BIP 2 or amending BIP 1.

> Marco:
>> looks good and addressed the feedback which was
>> accumulated last year. If there are no objections I'd suggest to move
>> forward with BIP 2 in the next couple of days/weeks.
>
> Thats odd, you just stated you like the public domain (aka CC0) license, yet
> you encourage the BIP2 that states we can no longer use public domain for
> BIPs... Did you read it?
> It says;
>  «Public domain is not universally recognised as a legitimate action, thus
>   it is inadvisable.» [1]

BIP 2 does not forbid you to release your work under PD in
legislations where this is possible. None of the licenses mentioned in
BIP 2 is exclusive, so you can choose as many options as you like. One
of the goals of BIP 2 is to no longer allow PD as the only copyright
option.

>
> Also;
> This list has not seen a lot of traffic, if you want to make sure people keep
> using the BIP process, I think you need to reach out to the rest of the
> community and make sure this has been heard and discussed.
> Moving forward the way it is now will likely deminish the importance of the
> BIP process.
>
> I strongly suggest people make very clear any and all changes that are
> proposed and defend each of them with reasons why you want to change things.
>
>
> 1) if you write as a rationale "In some jurisdictions, public domain is not
> recognised as a legitimate legal action" then you can at least name those
> jurisdictions and explain how they *do* support things like GPL. Burden of
> proof is on the man who wants to change things.
> It looks fishy when lawyers disagree. See the CC wikipedia page;
>  "public domain: cc0 Freeing content globally without restrictions"

Luke is the BIP champion of BIP 2, so please cc him if you have
suggestions on how to improve the process of gathering community
consensus.

Marco